#
# spec file for package python-ipdb
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define         skip_python2 1
Name:           python-ipdb
Version:        0.13.2
Release:        bp153.1.20
Summary:        IPython-enabled pdb
License:        BSD-3-Clause
Group:          Development/Languages/Python
URL:            https://github.com/gotcha/ipdb
Source:         https://files.pythonhosted.org/packages/source/i/ipdb/ipdb-%{version}.tar.gz
BuildRequires:  %{python_module ipython >= 5.1}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires(post): update-alternatives
Requires(postun): update-alternatives
Requires:       python-ipython >= 5.1
Provides:       python-jupyter_ipdb = %{version}
Obsoletes:      python-jupyter_ipdb < %{version}
BuildArch:      noarch
%ifpython3
Provides:       jupyter-ipdb = %{version}
%endif
%python_subpackages

%description
ipdb exports functions to access the IPython_ debugger, which features
tab completion, syntax highlighting, better tracebacks, better
introspection with the same interface as the `pdb` module.

%prep
%setup -q -n ipdb-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}
%if 0%{?have_python2} && ! 0%{?skip_python2}
mv -v %{buildroot}%{_bindir}/ipdb{,-%{python2_bin_suffix}}
%endif
%if 0%{?have_python3} && ! 0%{?skip_python3}
mv -v %{buildroot}%{_bindir}/ipdb{3,-%{python3_bin_suffix}}
%endif
%prepare_alternative ipdb

%post
%python_install_alternative ipdb

%postun
%python_uninstall_alternative ipdb

%check
%python_exec setup.py test

%files %{python_files}
%doc AUTHORS HISTORY.txt README.rst
%license COPYING.txt
%python_alternative %{_bindir}/ipdb
%{python_sitelib}/*

%changelog
* Tue Mar  3 2020 Todd R <toddrme2178@gmail.com>
- Update to 0.13.2
  * Remove leftover debug code
- Update to 0.13.1
  * Fix when no configuration file
- Update to 0.13.0
  * Add option to set context via environment variable or configuration file.
* Fri Jan  3 2020 Todd R <toddrme2178@gmail.com>
- Update to 0.12.3
  * Fix version in usage
- Drop python2 support due to dependencies dropping python2
* Sun Oct 13 2019 Axel Braun <axel.braun@gmx.de>
- runtime dependency on python-ipython added
* Fri Sep 13 2019 John Vandenberg <jayvdb@gmail.com>
- Skip the bin install commands if the flavor is not being built
* Sun Aug 11 2019 Todd R <toddrme2178@gmail.com>
- Update to 0.12.2
  * Avoid emitting term-title bytes
* Sat Jul 27 2019 Todd R <toddrme2178@gmail.com>
- Update to 0.12.1
  * Fix --help
* Thu Apr 25 2019 Todd R <toddrme2178@gmail.com>
- Update to 0.12.0
  * Drop support for Python 3.3.x
  * Stop deprecation warnings from being raised when IPython >= 5.1 is used.
    Support for IPython < 5.1 has been dropped.
- Rename to to match python package naming guidelines.
* Fri Jan 18 2019 Matej Cepl <mcepl@suse.com>
- Initial packaging effort for 0.11
